/*
 * Class WEL_TBS_CONSTANTS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_245 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_245 [] = {0xFF01,1551,244,0xFFFF};
static const EIF_TYPE_INDEX egt_2_245 [] = {0xFF01,244,0xFFFF};
static const EIF_TYPE_INDEX egt_3_245 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_245 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_245 [] = {0xFF01,244,0xFFFF};
static const EIF_TYPE_INDEX egt_6_245 [] = {0xFF01,244,0xFFFF};
static const EIF_TYPE_INDEX egt_7_245 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_245 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_245 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_245 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_245 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_245 [] = {0xFF01,244,0xFFFF};


static const struct desc_info desc_245[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_245), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_245), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_245), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_245), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_245), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_245), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_245), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_245), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_245), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_245), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_245), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_245), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01E9 /*244*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_245), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5070, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5071, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5072, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5073, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5074, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5075, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5076, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5077, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5078, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5079, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5080, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5081, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5082, 0xFFFFFFFF},
};
void Init245(void)
{
	IDSC(desc_245, 0, 244);
	IDSC(desc_245 + 1, 1, 244);
	IDSC(desc_245 + 32, 764, 244);
}


#ifdef __cplusplus
}
#endif
